import io
from pathlib import Path

from cwltool.argparser import arg_parser
from cwltool.main import main

from .util import get_data


def test_main_parsed_args(tmp_path: Path) -> None:
    """Affirm that main can be called with parsed args only."""
    stdout = io.StringIO()
    stderr = io.StringIO()

    unparsed_args = [get_data("tests/echo.cwl"), "--inp", "Hello"]
    parsed_args = arg_parser().parse_args(unparsed_args)

    try:
        assert main(args=parsed_args, stdout=stdout, stderr=stderr) == 0
    except SystemExit as err:
        assert err.code == 0
